# MSP::CCS::Bonne Class Reference

`#include <Bonne.h>`

Inheritance diagram for MSP::CCS::Bonne:

List of all members.

## Public Member Functions

| Bonne (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing)
| Bonne (const Bonne &b)
| ~Bonne (void)
Bonne & | operator= (const Bonne &b)
MapProjection4Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 100 of file Bonne.h.

## Constructor & Destructor Documentation

Bonne::Bonne | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 129 of file Bonne.cpp.

Bonne::Bonne | ( | const Bonne & | b | ) |

Definition at line 274 of file Bonne.cpp.

Bonne::~Bonne | ( | void |  | ) |

Definition at line 304 of file Bonne.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Bonne::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 371 of file Bonne.cpp.

MSP::CCS::GeodeticCoordinates * Bonne::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 453 of file Bonne.cpp.

MapProjection4Parameters * Bonne::getParameters | ( |  | ) | const

Definition at line 349 of file Bonne.cpp.

Bonne & Bonne::operator= | ( | const Bonne & | b | ) |

Definition at line 314 of file Bonne.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/bonne/Bonne.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/bonne/Bonne.cpp